التوثيق

Get product by ID

Retrieves product information including all associated prices. Response shape is identical to the `product.*` webhook payload. For per-price usage counts, call `GET /products/:id/stats`.

GET
/products/{id}

Retrieves product information including all associated prices. Response shape is identical to the product.* webhook payload. For per-price usage counts, call GET /products/:id/stats.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

id*string

Product ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/products/string"
{
  "id": "prod_abc123",
  "object": "product",
  "name": "Premium Plan",
  "description": "string",
  "image": "string",
  "unitLabel": "string",
  "active": true,
  "isSystemCreated": false,
  "metadata": {},
  "defaultPriceId": "string",
  "merchantId": "merch_xyz789",
  "prices": [
    {
      "id": "price_abc123",
      "object": "price",
      "name": "string",
      "description": "string",
      "currency": "EGP",
      "unitAmount": 0,
      "type": "ONE_TIME",
      "recurring": {},
      "customUnitAmount": {},
      "stock": 0,
      "startDate": "string",
      "expirationDate": "string",
      "active": true,
      "createdAt": "string",
      "updatedAt": "string",
      "productId": "string"
    }
  ],
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": {
    "type": "authentication_error",
    "code": "authentication_required",
    "message": "No valid API key provided.",
    "doc_url": "https://docs.xpay.app/integrate/errors/api-error-codes#authentication_required"
  },
  "request_id": "req_abc123def456"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "permission_denied",
    "message": "The API key does not have permission to perform this action.",
    "doc_url": "https://docs.xpay.app/integrate/errors/api-error-codes#permission_denied"
  },
  "request_id": "req_abc123def456"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "No such product: prod_abc123",
    "doc_url": "https://docs.xpay.app/integrate/errors/api-error-codes#resource_missing"
  },
  "request_id": "req_abc123def456"
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred. Please try again or contact support.",
    "doc_url": "https://docs.xpay.app/integrate/errors/api-error-codes#internal_error"
  },
  "request_id": "req_abc123def456"
}